<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Task 81.40</title>
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/4.6.2/css/bootstrap.min.css"
    />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  </head>
  <body>
    <div class="container p-2">
      <div class="row">
        <div class="col-sm-4 mx-auto">
          <div class="row">
            <div class="col-sm-12 mx-auto">
              <h2 class="text-center mb-4">Login to your account</h2>
              <hr />
              <div class="row form-group">
                <div class="col-sm-12">
                  <input
                    type="text"
                    class="form-control"
                    id="input-email"
                    placeholder="Email"
                  />
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-12">
                  <input
                    type="password"
                    class="form-control"
                    id="input-password"
                    placeholder="Password"
                  />
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-6">
                  <input type="checkbox" id="checkbox-accept" />
                  <label for="checkbox-accept">Remember account</label>
                </div>
                <div class="col-sm-6 text-right">
                  <a href="">Forget password?</a>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-12">
                  <button class="btn btn-primary w-100" id="btn-login">
                    Login
                  </button>
                  <p>
                    or <a href="./signup.html">sign-up</a> to have an account
                  </p>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>
  <script>
    var gToken = '';
    $('#btn-login').on('click', function () {
      onBtnLoginClick();
    });

    function onBtnLoginClick() {
      var vLoginData = {
        email: '',
        password: '',
      };
      vLoginData.email = $('#input-email').val().trim();
      vLoginData.password = $('#input-password').val().trim();
      var vIsChecked = validateData(vLoginData);
      if (vIsChecked) {
        callApiToLogin(vLoginData);
      }
    }

    function validateData(pUserObj) {
      var vResult = true;
      try {
        if (pUserObj.email === '') {
          throw 'Vui long nhap email';
          vResult = false;
        }
        if (pUserObj.password === '') {
          throw 'Vui long nhap password';
          vResult = false;
        }
      } catch (error) {
        alert(error);
      }
      return vResult;
    }

    function callApiToLogin(pLoginData) {
      $.ajax({
        url:
          'http://42.115.221.44:8080/devcamp-auth/users/signin?email=' +
          pLoginData.email +
          '&password=' +
          pLoginData.password,
        type: 'POST',
        dataType: 'json',
        contentType: 'application/json; charset=utf-8',
        success: function (pRes) {
          console.log(pRes);
          gToken = pRes.token;
        },
        error: function (pAjaxContext) {
          console.log(pAjaxContext.responseText);
        },
      });
    }
  </script>
</html>
